
QGIS Application - Bug report #2669

Empty map composer on reopen project

2010-04-21 12:44 PM - Goyo D

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: GUI

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data: Copied to github as #: 12729

Description

This was found on QGIS 1.4, from the ubuntugis-unstable repo and Ubuntu 9.10 Karmic (I couldn't set Ubuntu as platform in the ticket

properties):

Steps to reproduce:

1. Create a new Qgis project and add some layers to it.

2. Create a print composer an add some items to it.

3. Save the project and close.

4. Open the project again. An empty composed window opens on top.

This window can't be closed but can be minimized or sent to bottom. QGis is still usable and on opening the saved composer it replaces

the empty window.

History

#1 - 2010-06-11 09:51 PM - Paolo Cavallini

- Status changed from Open to Closed

- Resolution set to worksforme

#2 - 2010-09-13 10:12 AM - marcuscengland -

- Status changed from Closed to Feedback

- Resolution deleted (worksforme)

This issue still exists, but obviously does not affect all users. I just bought a new computer... my old computer had qgis 1.5 installed on Ubuntu 9.10 (32 bit)

from the ubuntu gis repo. This version did not have this problem. I recently bought a new computer, installed ubuntu 10.04 (64 bit) and installed qgis 1.5

from the ubuntu gis repo. On this version, when a qgis project is opened, all saved composer workspaces open when the project is opened and all of the

composer windows are blank. As cited above, these windows can not be closed until you go to the composer dialogue and open each composer summarily

and re-close them. This can be a real annoyance if you use the multiple composer ability to its fullest as I do, where some projects have as many as 20

composer spaces.

#3 - 2010-09-13 02:54 PM - Goyo D

It was fixed (for me at least) when the bug was closed but now I can

reproduce it again following the same steps as in the original report.

2025-04-27 1/3



QGis 1.5 from ubuntugis, Ubuntu 10.04.

#4 - 2010-09-14 08:23 AM - Marco Hugentobler

- Status changed from Feedback to Open

#5 - 2010-11-07 04:01 AM - Marco Hugentobler

- Resolution set to worksforme

- Status changed from Open to Closed

Cannot reproduce that bug with current trunk. If it still exists, a more specific step-by-step description is needed (e.g. which items are used, kde or gnome,

...)

#6 - 2010-11-08 05:58 AM - Goyo D

The attached file designed_bug.tar.gz shows the bug in my Ubuntu 10.10 64 bits setup (gnome).

qgis 1.6.0+svn14522~maverik1 from qgis.org repository.

Can't reproduce it in Windows (osgeo4w installer). Also not reproducible in a [[VirtualBox]] VM using Lubuntu 10.10 (LXDE) and qgis

1.6.0+svn14528~maverik1. Maybe only affects to the 64 bits package? -- Weird enough.

I have to test also if something if my user configuration can cause this.

#7 - 2010-11-08 11:36 AM - Goyo D

- Resolution deleted (worksforme)

- Status changed from Closed to Feedback

Confirmed that the problem does not show in a new user account so it is related to user settings.

The weird thing is after deleting ~/.qgis and ~/.config.QuantumGIS the abnormal behavoir is still present. I don't know where else to look.

#8 - 2011-04-19 01:47 PM - Marco Hugentobler

Is this bug still true and reproducable?

#9 - 2011-04-21 01:54 PM - Goyo D

Still, using QGIS trunk on Maverick.

Strangely enough, it does not happen using Natty using the same user directory.

#10 - 2011-05-20 04:40 PM - Goyo D

I no longer have Maverick installed so it's unlikely that I'll be able to reproduce the bug anymore. Maybe this bug should be closed unless somebody else

can reproduce it.

#11 - 2011-05-20 10:37 PM - Paolo Cavallini
- Status changed from Feedback to Closed

- Resolution set to fixed

#12 - 2011-06-14 01:55 PM - Kudret Güleryüz

I am having this bug on Ubuntu 10.04.2 running 1.7.0. I can provide whatever feedback you might need. Using GNOME Desktop environment... Deleting

~/.qgis or ~/.config/QuantumGIS does not help.

#13 - 2011-06-28 03:16 PM - alicebtoklas -

The same for me with 1.6.0 on ubuntu 10.04

See #4022

#14 - 2011-11-02 10:11 AM - alicebtoklas -

- Pull Request or Patch supplied set to No

- Resolution deleted (fixed)

#15 - 2011-11-02 10:16 AM - alicebtoklas -

This bug should be reopened. It still happens in 1.7.1. I also use GNOME environment.

Files

designer_bug.tar.gz 3.02 KB 2010-11-08 Goyo D
